org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec._Html

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Block, HamletSpec._Body, HamletSpec._FieldSet, HamletSpec._Form, HamletSpec._Head, HamletSpec._InsDel, HamletSpec._Object, HamletSpec._Script, HamletSpec.Block, HamletSpec.Heading, HamletSpec.HeadMisc, HamletSpec.Listing, HamletSpec.Preformatted
  All Known Subinterfaces:
    HamletSpec.HTML
  All Known Implementing Classes:
    Hamlet, Hamlet.HTML, HtmlBlock.Block, HtmlPage.Page
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Html
      extends HamletSpec._Head, HamletSpec._Body, HamletSpec.__

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.BODY` | `body()` Add a BODY element.
    `HamletSpec.BODY` | `body(String selector)` Add a BODY element.
    `HamletSpec.HEAD` | `head()` Add a HEAD element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Head

      `base, base, title, title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.HeadMisc

      `link, link, meta_http, meta, meta, style, style`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Script

      `script, script`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Object

      `object, object`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Block

      `__, address, address, blockquote, bq, div, div, dl, dl, hr, hr, p, p, table, table`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Heading

      `h1, h1, h1, h2, h2, h2, h3, h3, h3, h4, h4, h4, h5, h5, h5, h6, h6, h6`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Listing

      `ol, ol, ul, ul`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Preformatted

      `pre, pre`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Form

      `form, form`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FieldSet

      `fieldset, fieldset`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._InsDel

      `del, del, ins, ins`

- - ### Method Detail

    - #### head

          HamletSpec.HEAD head()

      Add a HEAD element.
      Returns:
        a new HEAD element builder

    - #### body

          HamletSpec.BODY body()

      Add a BODY element.
      Returns:
        a new BODY element builder

    - #### body

          HamletSpec.BODY body(String selector)

      Add a BODY element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new BODY element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.